List allowed prompt-attribute values for the project
curl --request GET \
--url https://openlens.com/api/projects/{id}/prompt-attributes \
--header 'Authorization: Bearer <token>'import requests
url = "https://openlens.com/api/projects/{id}/prompt-attributes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openlens.com/api/projects/{id}/prompt-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"builtIns": [
{
"value": "<string>",
"normalizedValue": "<string>"
}
],
"languages": [
{}
],
"customAttributes": [
{}
],
"archivedCustomAttributes": [
{}
],
"allowedAttributes": [
{}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Resources
List allowed prompt-attribute values for the project
GET
/
projects
/
{id}
/
prompt-attributes
List allowed prompt-attribute values for the project
Authorizations
Clerk API key. Create one from your account settings under API Keys.
Path Parameters
Query Parameters
Available options:
1 Was this page helpful?
⌘I